// lamp.c
#include <avr/interrupt.h>
#include "lamp.h"

unsigned char lamp_ison=0;

void lamp_on(void)
{
	lamp_ison=1;
	LAMP_PORT |= LAMP_PIN;					// Licht An 
}

void lamp_off(void)
{
	lamp_ison=0;
	LAMP_PORT &= ~LAMP_PIN;					// Licht Aus 
}

char lamp_is(void)
{
	return 	lamp_ison;					// Licht An ? 
}

void lamp_init(void)
{
	lamp_off();
	LAMP_DIR |= LAMP_PIN;					// Portrichtung setzen
}


